# GimpUi.LabelColor.new

    function new(label: String, color: Gegl.Color, editable: Boolean): Gtk.Widget {
        // Gjs wrapper for gimp_label_color_new()
    }

Creates a GimpUi.LabelColor which contains a widget and displays a color area. By default, the color area is of type GimpUi.ColorAreaType.small_checks, which means transparency of color will be shown.

Moreover in the non-editable case, the color is draggable to other widgets accepting color drops with buttons 1 and 2. In the editable case, the label is reused as the color chooser's dialog title.

If you wish to customize any of these default behaviors, get the GimpUi.ColorArea or GimpUi.ColorButton with GimpUi.LabelColor.prototype.get_color_widget.

label

  The text for the Gtk.Label.

color

  The color displayed.

editable
Returns

  The new GimpUi.LabelColor widget.